Create Clusters

Create Clusters

Creates a new cluster in customers sddcs with passed clusterConfig.

Request
URI
POST
https://vmc.vmware.com/vmc/api/orgs/{org}/sddcs/{sddc}/clusters
COPY
Path Parameters
string
org
Required

Organization identifier.

string
sddc
Required

Sddc Identifier.


Request Body

clusterConfig

ClusterConfig of type(s) application/json
Required
{
    "num_hosts": 0,
    "storage_capacity": 0,
    "host_cpu_cores_count": 0
}
integer As int32 As int32
num_hosts
Required

num_hosts

integer As int64 As int64
storage_capacity
Optional

For EBS-backed instances only, the requested storage capacity in GiB.

integer As int32 As int32
host_cpu_cores_count
Optional

Customize CPU cores on hosts in a cluster. Specify number of cores to be enabled on hosts in a cluster.

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns Task of type(s) application/json
This response body class contains all of the following: AbstractEntity
{
    "updated_by_user_name": "string",
    "updated_by_user_id": "string",
    "user_id": "string",
    "user_name": "string",
    "created": "string",
    "id": "1d1c83ee-e0b7-4de9-b660-9a9ca1d22f32",
    "updated": "string",
    "version": 5,
    "error_message": "string",
    "localized_error_message": "string",
    "progress_percent": 75,
    "parent_task_id": "string",
    "sub_status": "string",
    "phase_in_progress": "string",
    "org_type": "string",
    "end_time": "string",
    "resource_type": "string",
    "end_resource_entity_version": 5,
    "start_time": "string",
    "task_progress_phases": [
        {
            "progress_percent": 0,
            "name": "string",
            "id": "string"
        }
    ],
    "org_id": "1d1c83ee-e0b7-4de9-b660-9a9ca1d22f32",
    "start_resource_entity_version": 0,
    "resource_id": "string",
    "correlation_id": "string",
    "task_type": "string",
    "task_version": "string",
    "service_errors": [
        {
            "original_service_error_code": "string",
            "default_message": "string",
            "original_service": "string",
            "localized_message": "string"
        }
    ],
    "estimated_remaining_minutes": 4,
    "status": "string"
}

400

The sddc is not in a state that's valid for updates

Returns ErrorResponse of type(s) application/json
{
    "retryable": false,
    "path": "string",
    "error_code": "string",
    "error_messages": [
        "string"
    ],
    "status": 0
}
boolean
retryable
Required

If true, client should retry operation

string
path
Required

Originating request URI

string
error_code
Required

unique error code

array of string
error_messages
Required

localized error messages

integer
status
Required

HTTP status code


401

Unauthorized

Operation doesn't return any data structure

403

Access not allowed to the operation for the current user

Returns ErrorResponse of type(s) application/json
{
    "retryable": false,
    "path": "string",
    "error_code": "string",
    "error_messages": [
        "string"
    ],
    "status": 0
}
boolean
retryable
Required

If true, client should retry operation

string
path
Required

Originating request URI

string
error_code
Required

unique error code

array of string
error_messages
Required

localized error messages

integer
status
Required

HTTP status code


404

Cannot find the cluster with the given identifier

Returns ErrorResponse of type(s) application/json
{
    "retryable": false,
    "path": "string",
    "error_code": "string",
    "error_messages": [
        "string"
    ],
    "status": 0
}
boolean
retryable
Required

If true, client should retry operation

string
path
Required

Originating request URI

string
error_code
Required

unique error code

array of string
error_messages
Required

localized error messages

integer
status
Required

HTTP status code